Content / REST API
Update content watch
Pause, resume, or rename a LinkedIn topic watch.
PATCH /api/v1/content/discover/watches/{watchId}Deterministic operationParameters
workspaceIdOptional · string- See the input schema for this field.
watchIdRequired · string- See the input schema for this field.
statusOptional · string- See the input schema for this field.active · paused
queryOptional · string- See the input schema for this field.
curl -X PATCH "https://app.pipeline.help/api/v1/content/discover/watches/00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY"Full input schema
{
"type": "object",
"additionalProperties": false,
"properties": {
"workspaceId": {
"type": "string"
},
"watchId": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"active",
"paused"
]
},
"query": {
"type": "string"
}
},
"required": [
"watchId"
]
}